# Memcached::setByKey

(PECL memcached >= 0.1.0)

Memcached::setByKey — Stocke un élément sur un serveur spécifique

### Description

public Memcached::setByKey(
string `$server_key`,
string `$key`,
mixed `$value`,
int `$expiration` = 0
): bool

Memcached::setByKey() est fonctionnellement équivalente à Memcached::set(), hormis le fait que la variable libre `server_key` peut être utilisée pour envoyer la clé `key` sur un serveur spécifique. Ceci est utile si vous voulez grouper certaines clés sur un serveur.

### Liste de paramètres

`server_key`

  La clé d'identification du serveur de stockage ou de récupération. Au lieu de hacher avec la clé courante pour l'élément, nous hachons avec la clé serveur lorsqu'il est décidé avec quel serveur memcache il convient de dialoguer. Ceci permet le regroupement des éléments correspondants sur un seul serveur permettant de meilleures performances lors d'opérations multiples.

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. Utilisez Memcached::getResultCode() si nécessaire.

### Exemples

Exemple #1 Exemple avec Memcached::setByKey()

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
/* Conserve les blocs d'IP sur un serveur */
$m->setByKey('api-cache', 'block-ip:169.254.253.252', 1);
$m->setByKey('api-cache', 'block-ip:169.127.127.202', 1);
?>`

### Voir aussi

- Memcached::set() - Stocke un élément